---
title: Socio Economic Survey of Kerala - Keralapadanam
heading: Socio Economic Survey of Kerala - Keralapadanam
subtitle:
permalink: /keralapadanam/
icons: true
image: kpv2-bg.jpg
description: Socio-economic survey by Kerala Sasthra Sahithya Parishath.<br/> Keralapadanam Survey and Data analysis Applicaton.
---

<p class="full">Keralapadanam was a socio-economic survey by Kerala Sasthra Sahithya Parishad. The project was done by interviewing each family with a group of people. There are  6000 familes participated in the project across Kerala. This survey is intended to study the social, economic, political conditions and life of Keralites. Report for their first survey was released in 2004 and they have are still being used across wider media. The first survey was conducted around 15 years back and documentation was done using paper forms. Information deduced from data was done using by manually sorting those paper forms. It was a tedious task so for the second version of the survey, Keralapadanam 2.0 and we were consulted to develop software to conduct the survey.</p>

<p class="full">The scope of the survey was big and consists of 50 forms with multiple sets of questions with different response types. We designed database, software architecture, user access levels, authentications system and complete workflow of the survey. They needed to have three levels of authentication and verification before the data is processed to the final state.</p>

<p class="full">We created a complete web app for the survey. Another need was to build the site in Malayalam, the native language of Kerala. We decided to make language files separate from the app body.</p> 

<p class="full">We knew manually making 50+ forms with multiple questions with its user and admin front end and their databases is a huge task to finish in the given deadline. To add to that, for many questions we had to record multiple type of responses too. To face this challenge we decided to automate the generation of various elements of the app from an automated code generator. We created a complete code generating programme for the necessities of Keralapadanam Survey web app. The forms design and the code for various user levels is generated from the code generator.</p>

<p class="full">With the help of the code generator, we finished the survey app within the planned time frame. Even though their needs and survey questions varied over time but the generator keep track of all the changes. The survey is over now and the data analysis is going on. This will be the biggest survey, including the scope of it, ever done in Kerala, pushing its first version to second place.</p>